=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

add_subdirectory(src)
