=== debian/changelog ===
khronos-opencl-clhpp (3.0~2023.02.06-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Feb 2023 14:35:09 +0100
