=== debian/control ===
Source: khronos-opencl-clhpp
Section: libdevel
Priority: optional
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends: debhelper-compat (= 13),
               opencl-c-headers (>= 3.0~2021.04.29),
               cmake,
 doxygen <!nodoc>,
 graphviz <!nodoc>,
 ocl-icd-opencl-dev <!nocheck>,
 python-is-python3 <!nocheck>,
 ruby <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git

Package: opencl-clhpp-headers
Architecture: all
Multi-Arch: foreign
Depends: opencl-c-headers (>= 3.0~2021.04.29), ${misc:Depends}
Suggests: opencl-clhpp-headers-doc
Breaks: opencl-headers (<< 2.1)
Replaces: opencl-headers (<< 2.1)
Description: C++ headers for OpenCL development
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the C++ development header files for the OpenCL API
 as published by The Khronos Group Inc. The corresponding specification and
 documentation can be found on the Khronos website.

Package: opencl-clhpp-headers-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: documentation for C++ OpenCL headers
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the documentation of the C++ development header files
 for the OpenCL API as published by The Khronos Group Inc.
