=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DOPENCL_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DCMOCK_DIR=$(CURDIR)/cmock \
		-DUNITY_DIR=$(CURDIR)/unity \
		$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),-DBUILD_EXAMPLES=OFF) \
		$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),-DBUILD_TESTS=OFF) \

override_dh_auto_build:
	dh_auto_build -- all docs

execute_after_dh_auto_test:
	$(MAKE) -C debian/t

execute_after_dh_auto_clean:
	$(MAKE) -C debian/t clean

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installdeb:
	hardlink -v -t debian/opencl-clhpp-headers-doc/usr/share/doc/opencl-clhpp-headers
endif


ifneq (,$(wildcard .git))
khronos:
	git remote show $@ >/dev/null 2>&1 || git remote add $@ $(shell sed -rn 's/Repository: //p' debian/upstream/metadata)
	git fetch $@ --prune

tarball: COMMIT ?= khronos/master
tarball: COMMIT_TIME = $(shell git log --format=format:%ct -1 $(COMMIT))
tarball: COMMIT_DESCRIBE = $(patsubst v%,%,$(shell git describe --long --tags $(COMMIT)))
tarball: COMMIT_VERSION = $(firstword $(subst -, ,$(COMMIT_DESCRIBE)))
tarball: PREFIX = OpenCL-CLHPP-$(COMMIT_VERSION)+git$(patsubst $(COMMIT_VERSION)-%,%,$(COMMIT_DESCRIBE))
tarball:
	test -n "$(COMMIT)"
	git archive --prefix $(PREFIX)/ $(COMMIT) | xz > $(PREFIX).tar.xz
	touch -d @$(COMMIT_TIME) $(PREFIX).tar.xz
endif
