=== debian/tests/control ===
Tests: compile-headers
Depends:
 opencl-clhpp-headers,
 g++,
Restrictions:
 superficial,
 allow-stderr,

Tests: upstream-testsuite
Depends:
 opencl-clhpp-headers,
 cmake,
 dpkg-dev,
 g++,
 ocl-icd-opencl-dev,
 python-is-python3,
 ruby,
