## khronos-opencl-clhpp 3.0~2023.04.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -73,6 +73,9 @@
   EXPORT OpenCLHeadersCppTargets
 )
 
+set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+include(JoinPaths)
+
 include(GNUInstallDirs)
 
 install(
@@ -127,3 +130,11 @@
 if(CLHPP_BUILD_TESTS)
   add_subdirectory(tests)
 endif(CLHPP_BUILD_TESTS)
+
+join_paths(OPENCLHPP_INCLUDEDIR_PC "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
+
+configure_file(OpenCL-CLHPP.pc.in OpenCL-CLHPP.pc @ONLY)
+set(pkg_config_location ${CMAKE_INSTALL_DATADIR}/pkgconfig)
+install(
+  FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCL-CLHPP.pc
+  DESTINATION ${pkg_config_location})
