=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -40,27 +40,31 @@
 # End of workaround
 
 add_custom_command(
-    OUTPUT stripped/cl.h
+    OUTPUT stripped/cl.h stripped/cl_ext.h
     COMMAND ${CMAKE_COMMAND} -E make_directory stripped
     COMMAND ${CMAKE_COMMAND} -E make_directory mocks
     COMMAND ${CMAKE_COMMAND} -D INPUT="${OPENCL_HEADERS_INTERFACE_INCLUDE_DIRECTORIES}/CL/cl.h" -D OUTPUT="stripped/cl.h" -P ${CMAKE_CURRENT_SOURCE_DIR}/strip_defines.cmake
-    COMMENT "Stripping defines from cl.h"
+    COMMAND ${CMAKE_COMMAND} -D INPUT="${OPENCL_HEADERS_INTERFACE_INCLUDE_DIRECTORIES}/CL/cl_ext.h" -D OUTPUT="stripped/cl_ext.h" -P ${CMAKE_CURRENT_SOURCE_DIR}/strip_defines.cmake
+    COMMENT "Stripping defines from cl.h and cl_ext.h"
     DEPENDS ${OPENCL_HEADERS_INTERFACE_INCLUDE_DIRECTORIES}/CL/cl.h strip_defines.cmake)
 
 add_custom_target(
     strip_cl_defines ALL
     DEPENDS stripped/cl.h
+    DEPENDS stripped/cl_ext.h
     SOURCES strip_defines.cmake)
 
 add_custom_command(
-    OUTPUT mocks/Mockcl.c mocks/Mockcl.h
+    OUTPUT mocks/Mockcl.c mocks/Mockcl.h mocks/Mockcl_ext.c mocks/Mockcl_ext.h
     COMMAND ${RUBY_EXECUTABLE} ${CMOCK_DIR}/lib/cmock.rb -o${CMAKE_CURRENT_SOURCE_DIR}/cmock.yml stripped/cl.h
+    COMMAND ${RUBY_EXECUTABLE} ${CMOCK_DIR}/lib/cmock.rb -o${CMAKE_CURRENT_SOURCE_DIR}/cmock.yml stripped/cl_ext.h
     COMMENT "Generating mocks"
-    DEPENDS stripped/cl.h cmock.yml)
+    DEPENDS stripped/cl.h stripped/cl_ext.h cmock.yml)
 
 add_custom_target(
     mock_cl_header ALL
     DEPENDS mocks/Mockcl.c mocks/Mockcl.h
+    DEPENDS mocks/Mockcl_ext.c mocks/Mockcl_ext.h
     SOURCES cmock.yml)
 
 add_dependencies(mock_cl_header strip_cl_defines)
@@ -79,6 +83,8 @@
 
 if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_CXX_COMPILER_ID MATCHES "(Apple)?Clang")
     add_compile_options(-Wno-deprecated-declarations)
+elseif(MSVC)
+    add_compile_options(/wd4996)
 endif()
 
 add_definitions(-DCL_TARGET_OPENCL_VERSION=300)
@@ -96,18 +102,20 @@
 
 set(TEST_HEADERS
     ${PROJECT_SOURCE_DIR}/include/CL/opencl.hpp
-    mocks/Mockcl.h)
+    mocks/Mockcl.h
+    mocks/Mockcl_ext.h)
 
 set(TEST_SOURCES
     ${CMAKE_CURRENT_BINARY_DIR}/test_openclhpp_Runner.c
     test_openclhpp.cpp
     ${CMAKE_CURRENT_BINARY_DIR}/mocks/Mockcl.c
+    ${CMAKE_CURRENT_BINARY_DIR}/mocks/Mockcl_ext.c
     ${CMOCK_DIR}/src/cmock.c
     ${UNITY_DIR}/src/unity.c)
 
 # TODO enable testing for OpenCL 1.0 and 1.1
 foreach(VERSION 120 200 210 220 300)
-  foreach(OPTION "" CL_HPP_ENABLE_EXCEPTIONS CL_HPP_ENABLE_SIZE_T_COMPATIBILITY CL_HPP_ENABLE_PROGRAM_CONSTRUCTION_FROM_ARRAY_COMPATIBILITY CL_HPP_CL_1_2_DEFAULT_BUILD CL_HPP_USE_CL_DEVICE_FISSION CL_HPP_USE_CL_IMAGE2D_FROM_BUFFER_KHR CL_HPP_USE_CL_SUB_GROUPS_KHR CL_HPP_USE_IL_KHR)
+  foreach(OPTION "" CL_HPP_ENABLE_EXCEPTIONS CL_HPP_ENABLE_SIZE_T_COMPATIBILITY CL_HPP_ENABLE_PROGRAM_CONSTRUCTION_FROM_ARRAY_COMPATIBILITY CL_HPP_CL_1_2_DEFAULT_BUILD CL_HPP_USE_CL_SUB_GROUPS_KHR CL_HPP_USE_IL_KHR)
     if(OPTION STREQUAL "")
       # The empty string means we're not setting any special option.
       set(UNDERSCORE_OPTION "${OPTION}")
