=== debian/changelog ===
khronos-opencl-clhpp (3.0~2023.04.17-2ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Aug 2023 15:48:56 +0200

khronos-opencl-clhpp (3.0~2023.04.17-2) unstable; urgency=medium

  * Ignore stderr output (new CMake deprecation warnings) in autopkgtest.
    (Closes: #1040730)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Aug 2023 14:30:56 +0200

khronos-opencl-clhpp (3.0~2023.04.17-1.1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Aug 2023 11:21:06 +0200

khronos-opencl-clhpp (3.0~2023.04.17-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Jul 2023 17:29:14 -0700

khronos-opencl-clhpp (3.0~2023.04.17-1) unstable; urgency=medium

  * New upstream release.
  * Stop testing OpenCL 1.0, 1.1.
  * Ship the pkgconfig file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Jun 2023 02:31:24 +0200

khronos-opencl-clhpp (3.0~2023.02.06-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2023 09:43:02 +0200
