=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                cmake,
  doxygen <!nodoc>,
  graphviz <!nodoc>,
- ocl-icd-opencl-dev <!nocheck>,
  python-is-python3 <!nocheck>,
  ruby <!nocheck>,
 Rules-Requires-Root: no
