=== debian/tests/control ===
--- 
+++ 
@@ -15,3 +15,5 @@
  ocl-icd-opencl-dev,
  python-is-python3,
  ruby,
+Restrictions:
+ allow-stderr,
