## khronos-opencl-clhpp 3.0~2023.12.14

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -40,31 +40,35 @@
 # End of workaround
 
 add_custom_command(
-    OUTPUT stripped/cl.h stripped/cl_ext.h
+    OUTPUT stripped/cl.h stripped/cl_ext.h stripped/cl_gl.h
     COMMAND ${CMAKE_COMMAND} -E make_directory stripped
     COMMAND ${CMAKE_COMMAND} -E make_directory mocks
     COMMAND ${CMAKE_COMMAND} -D INPUT="${OPENCL_HEADERS_INTERFACE_INCLUDE_DIRECTORIES}/CL/cl.h" -D OUTPUT="stripped/cl.h" -P ${CMAKE_CURRENT_SOURCE_DIR}/strip_defines.cmake
     COMMAND ${CMAKE_COMMAND} -D INPUT="${OPENCL_HEADERS_INTERFACE_INCLUDE_DIRECTORIES}/CL/cl_ext.h" -D OUTPUT="stripped/cl_ext.h" -P ${CMAKE_CURRENT_SOURCE_DIR}/strip_defines.cmake
-    COMMENT "Stripping defines from cl.h and cl_ext.h"
+    COMMAND ${CMAKE_COMMAND} -D INPUT="${OPENCL_HEADERS_INTERFACE_INCLUDE_DIRECTORIES}/CL/cl_gl.h" -D OUTPUT="stripped/cl_gl.h" -P ${CMAKE_CURRENT_SOURCE_DIR}/strip_defines.cmake
+    COMMENT "Stripping defines from cl.h, cl_ext.h and cl_gl.h"
     DEPENDS ${OPENCL_HEADERS_INTERFACE_INCLUDE_DIRECTORIES}/CL/cl.h strip_defines.cmake)
 
 add_custom_target(
     strip_cl_defines ALL
     DEPENDS stripped/cl.h
     DEPENDS stripped/cl_ext.h
+    DEPENDS stripped/cl_gl.h
     SOURCES strip_defines.cmake)
 
 add_custom_command(
-    OUTPUT mocks/Mockcl.c mocks/Mockcl.h mocks/Mockcl_ext.c mocks/Mockcl_ext.h
+    OUTPUT mocks/Mockcl.c mocks/Mockcl.h mocks/Mockcl_ext.c mocks/Mockcl_ext.h mocks/Mockcl_gl.c mocks/Mockcl_gl.h
     COMMAND ${RUBY_EXECUTABLE} ${CMOCK_DIR}/lib/cmock.rb -o${CMAKE_CURRENT_SOURCE_DIR}/cmock.yml stripped/cl.h
     COMMAND ${RUBY_EXECUTABLE} ${CMOCK_DIR}/lib/cmock.rb -o${CMAKE_CURRENT_SOURCE_DIR}/cmock.yml stripped/cl_ext.h
+    COMMAND ${RUBY_EXECUTABLE} ${CMOCK_DIR}/lib/cmock.rb -o${CMAKE_CURRENT_SOURCE_DIR}/cmock.yml stripped/cl_gl.h
     COMMENT "Generating mocks"
-    DEPENDS stripped/cl.h stripped/cl_ext.h cmock.yml)
+    DEPENDS stripped/cl.h stripped/cl_ext.h stripped/cl_gl.h cmock.yml)
 
 add_custom_target(
     mock_cl_header ALL
     DEPENDS mocks/Mockcl.c mocks/Mockcl.h
     DEPENDS mocks/Mockcl_ext.c mocks/Mockcl_ext.h
+    DEPENDS mocks/Mockcl_gl.c mocks/Mockcl_gl.h
     SOURCES cmock.yml)
 
 add_dependencies(mock_cl_header strip_cl_defines)
@@ -103,13 +107,15 @@
 set(TEST_HEADERS
     ${PROJECT_SOURCE_DIR}/include/CL/opencl.hpp
     mocks/Mockcl.h
-    mocks/Mockcl_ext.h)
+    mocks/Mockcl_ext.h
+    mocks/Mockcl_gl.h)
 
 set(TEST_SOURCES
     ${CMAKE_CURRENT_BINARY_DIR}/test_openclhpp_Runner.c
     test_openclhpp.cpp
     ${CMAKE_CURRENT_BINARY_DIR}/mocks/Mockcl.c
     ${CMAKE_CURRENT_BINARY_DIR}/mocks/Mockcl_ext.c
+    ${CMAKE_CURRENT_BINARY_DIR}/mocks/Mockcl_gl.c
     ${CMOCK_DIR}/src/cmock.c
     ${UNITY_DIR}/src/unity.c)
 
@@ -154,3 +160,26 @@
     add_test(NAME ${TEST_EXE} COMMAND ${TEST_EXE})
   endforeach(OPTION)
 endforeach(VERSION)
+
+if(NOT TARGET OpenCL::openCL)
+  find_package(OpenCLICDLoader)
+endif()
+if(TARGET OpenCL::OpenCL)
+  # TODO enable testing for OpenCL 1.0 and 1.1
+  foreach(MINVERSION 120 200 210 220 300)
+    foreach(TARGETVERSION 120 200 210 220 300)
+      if(NOT (${MINVERSION} GREATER ${TARGETVERSION}))
+        set(TEST_EXE test_openclhpp_version_min_${MINVERSION}_target_${TARGETVERSION})
+        add_executable(${TEST_EXE} test_versions.cpp)
+        target_compile_definitions(${TEST_EXE} PUBLIC
+          CL_HPP_MINIMUM_OPENCL_VERSION=${MINVERSION}
+          CL_HPP_TARGET_OPENCL_VERSION=${TARGETVERSION})
+        target_link_libraries(${TEST_EXE} PRIVATE
+          OpenCL::HeadersCpp
+          OpenCL::Headers
+          OpenCL::OpenCL)
+        add_test(NAME ${TEST_EXE} COMMAND ${TEST_EXE})
+      endif()
+    endforeach()
+  endforeach()
+endif()
