=== debian/changelog ===
khronos-opencl-clhpp (3.0~2023.12.14-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Jan 2024 16:43:56 +0100

khronos-opencl-clhpp (3.0~2023.12.14-1) unstable; urgency=medium

  * New upstream release.
  * Use separately packaged CMock/unity.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 19 Jan 2024 14:11:04 +0100
