=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                cmake,
  doxygen <!nodoc>,
  graphviz <!nodoc>,
- python-is-python3 <!nocheck>,
- ruby <!nocheck>,
+ cmock <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
