## khronos-opencl-clhpp 3.0~2024.05.08

=== debian/changelog ===
khronos-opencl-clhpp (3.0~2024.05.08-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.
    - Don't build the examples; this is an arch: independent package so testing
      them on only the build arch doesn't make sense, these should be moved to
      autopkgtests.  For now, just drop the examples and the build-dependency
      on ocl-icd-opencl-dev to break a build loop.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jun 2024 08:28:03 +0200

khronos-opencl-clhpp (3.0~2024.05.08-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jun 2024 01:14:47 +0200
