## khronos-opencl-clhpp 3.0~2024.10.24

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.16)
 
 project(OpenCLHeadersCpp
   VERSION 3.0
@@ -73,10 +73,11 @@
   EXPORT OpenCLHeadersCppTargets
 )
 
+include(GNUInstallDirs)
+
 set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 include(JoinPaths)
-
-include(GNUInstallDirs)
+include(Package)
 
 install(
   DIRECTORY include/CL
@@ -116,7 +117,7 @@
   DESTINATION ${config_package_location}
 )
 
-set(UNITY_DIR ${PROJECT_SOURCE_DIR}/external/Unity CACHE PATH "Unity dir")
+set(UNITY_DIR ${PROJECT_SOURCE_DIR}/external/CMock/vendor/unity CACHE PATH "Unity dir")
 set(CMOCK_DIR ${PROJECT_SOURCE_DIR}/external/CMock CACHE PATH "CMock dir")
 
 if(BUILD_DOCS)
@@ -130,11 +131,3 @@
 if(CLHPP_BUILD_TESTS)
   add_subdirectory(tests)
 endif(CLHPP_BUILD_TESTS)
-
-join_paths(OPENCLHPP_INCLUDEDIR_PC "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
-
-configure_file(OpenCL-CLHPP.pc.in OpenCL-CLHPP.pc @ONLY)
-set(pkg_config_location ${CMAKE_INSTALL_DATADIR}/pkgconfig)
-install(
-  FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCL-CLHPP.pc
-  DESTINATION ${pkg_config_location})
