=== debian/changelog ===
khronos-opencl-clhpp (3.0~2024.10.24-2) unstable; urgency=medium

  * Bump opencl-c-headers dependency due to updated extensions.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Nov 2024 12:40:30 +0100

khronos-opencl-clhpp (3.0~2024.10.24-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Nov 2024 21:55:15 +0100
