=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               opencl-c-headers (>= 3.0~2021.04.29),
+ opencl-c-headers (>= 3.0~2024.10.24),
                cmake,
  doxygen <!nodoc>,
  graphviz <!nodoc>,
  cmock <!nocheck>,
+ ocl-icd-opencl-dev <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
@@ -19,7 +20,9 @@
 Package: opencl-clhpp-headers
 Architecture: all
 Multi-Arch: foreign
-Depends: opencl-c-headers (>= 3.0~2021.04.29), ${misc:Depends}
+Depends:
+ opencl-c-headers (>= 3.0~2024.10.24),
+ ${misc:Depends}
 Suggests: opencl-clhpp-headers-doc
 Breaks: opencl-headers (<< 2.1)
 Replaces: opencl-headers (<< 2.1)
