=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DOPENCL_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		-DCMOCK_DIR=$(CURDIR)/cmock \
-		-DUNITY_DIR=$(CURDIR)/unity \
+		-DCMOCK_DIR=/usr/share/cmock \
+		-DUNITY_DIR=/usr/share/cmock/vendor/unity \
 		$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),-DBUILD_EXAMPLES=OFF) \
 		$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),-DBUILD_TESTS=OFF) \
