=== debian/changelog ===
khronos-opencl-clhpp (3.0~2025.07.22-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.
    - Don't build the examples; this is an arch: independent package so testing
      them on only the build arch doesn't make sense, these should be moved to
      autopkgtests.  For now, just drop the examples and the build-dependency
      on ocl-icd-opencl-dev to break a build loop.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Aug 2025 18:48:29 +0200

khronos-opencl-clhpp (3.0~2025.07.22-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 13:48:28 +0200

khronos-opencl-clhpp (3.0~2024.10.24-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.
    - Don't build the examples; this is an arch: independent package so testing
      them on only the build arch doesn't make sense, these should be moved to
      autopkgtests.  For now, just drop the examples and the build-dependency
      on ocl-icd-opencl-dev to break a build loop.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:02:41 +0100

khronos-opencl-clhpp (3.0~2024.10.24-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.
    - Don't build the examples; this is an arch: independent package so testing
      them on only the build arch doesn't make sense, these should be moved to
      autopkgtests.  For now, just drop the examples and the build-dependency
      on ocl-icd-opencl-dev to break a build loop.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Nov 2024 10:36:04 +0100
