=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
  doxygen <!nodoc>,
  graphviz <!nodoc>,
  cmock <!nocheck>,
- ocl-icd-opencl-dev <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
