=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DBUILD_EXAMPLES=OFF \
 		-DOPENCL_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		-DCMOCK_DIR=/usr/share/cmock \
 		-DUNITY_DIR=/usr/share/cmock/vendor/unity \
