=== debian/tests/control ===
--- 
+++ 
@@ -10,10 +10,9 @@
 Depends:
  opencl-clhpp-headers,
  cmake,
+ cmock,
  dpkg-dev,
  g++,
  ocl-icd-opencl-dev,
- python-is-python3,
- ruby,
 Restrictions:
  allow-stderr,
